Card Validation
curl --request POST \
--url https://api.orchestrasolutions.com/Tools/validate \
--header 'Content-Type: application/json' \
--data '
{
"clientIPAddress": "<string>",
"countryCode": "<string>",
"city": "<string>",
"stateProvince": "<string>"
}
'import requests
url = "https://api.orchestrasolutions.com/Tools/validate"
payload = {
"clientIPAddress": "<string>",
"countryCode": "<string>",
"city": "<string>",
"stateProvince": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
clientIPAddress: '<string>',
countryCode: '<string>',
city: '<string>',
stateProvince: '<string>'
})
};
fetch('https://api.orchestrasolutions.com/Tools/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Card Tools
Card Validation
This method allows you to validate the card details against the card’s meta data. By providing the billing address and IP address of the card owner, we validate those against the metadata of the card and provide a risk assessment for this transaction. All you would need is the card’s BIN / IIN (the first 6 to 11 digits of the card number), the billing address and IP address. The response of this method will include the full metadata information for this BIN including the risk assessment.
POST
/
Tools
/
validate
Card Validation
Validation Guide
Complete guide with examples, parameters, and best practices
Query Parameters
Card's BIN / IIN (the first 6 to 11 digits of the card number)
Pattern:
\d{6,11}Body
application/json
payer details
The billing information of the card owner to be used for validation, incl. Client Ip address
Client IP address
Minimum string length:
1City
State or Province